| QxOrm 1.4.8 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

Classes | Files | Functions
QxModelView : All classes registered into QxOrm context can be used with Qt model/view architecture (Qt widgets and/or QML views)

## Classes
class | qx::IxModel
| qx::IxModel : interface to manage Qt model/view architecture with classes registered into QxOrm context (Qt widgets and/or QML views) More...
class | qx::QxModel< T, B >
| qx::QxModel<T, B> : all classes registered into QxOrm context can be used with Qt model/view architecture (Qt widgets and/or QML views) More...
struct | qx::model_view::QxModelRowCompare< T >
| qx::QxModelRowCompare : functor used to provide sort feature for all models based on qx::IxModel interface (please note that you can also use QSortFilterProxyModel Qt class to sort your model) More...
class | qx::QxModelService< T, S, B >
| qx::QxModelService<T, S> : provides an easy way to connect your model to the QxService module (all queries are executed over network using client/server communication) More...
## Files
file | IxModel.h
| Interface to manage Qt model/view architecture with classes registered into QxOrm context (Qt widgets and/or QML views)
file | QxModel.h
| All classes registered into QxOrm context can be used with Qt model/view architecture (Qt widgets and/or QML views)
file | QxModelRowCompare.h
| Functor used to provide sort feature for all models based on qx::IxModel interface (please note that you can also use QSortFilterProxyModel Qt class to sort your model)
file | QxModelService.h
| qx::QxModelService<T, S> provides an easy way to connect your model to the QxService module (all queries are executed over network using client/server communication)
file | QxNestedModel.h
| qx::model_view::create_nested_model is used by QxEntityEditor to manage complex data structure to work with relationships in QML views and Qt model/view architecture
file | QxModelView.h
| Include all headers required to use QxModelView module : https://www.qxorm.com/qxorm_en/manual.html#manual_90.
## Functions
template<class T >
qx::IxModel * | qx::model_view::create_nested_model (qx::IxModel *pParent, const QModelIndex &idxParent, T &t)
| qx::model_view::create_nested_model is used by QxEntityEditor to manage complex data structure to work with relationships in QML views and Qt model/view architecture

## Function Documentation

template<class T >

qx::IxModel * qx::model_view::create_nested_model | ( | qx::IxModel * | pParent,
|  | const QModelIndex & | idxParent,
|  | T & | t
| ) |  |

qx::model_view::create_nested_model is used by QxEntityEditor to manage complex data structure to work with relationships in QML views and Qt model/view architecture

Parameters:

  pParent | Parent model, qx::model_view::create_nested_model creates a child model associated to this parent model (a NULL value means that the created model is a root model)
  idxParent | Index parent model, qx::model_view::create_nested_model creates a child model indexed by this parent index model (an empty index means that the created model is a root model)
  t | Item which contain all values exposed by the model to the views, t item can be a simple type, a pointer, a smart pointer, or a collection of items

Definition at line 347 of file QxNestedModel.h.